Bug 984223 - [abrt] system-config-kdump-2.0.11-2.fc19: system-config-kdump.py:1766:changed_partition:AttributeError: 'NoneType' object has no attribute 'rsplit'
[abrt] system-config-kdump-2.0.11-2.fc19: system-config-kdump.py:1766:changed...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-kdump (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Milata
Fedora Extras Quality Assurance
abrt_hash:27c3549f3498a23a37461a00c64...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 14:21 EDT by Juan Orti
Modified: 2014-05-12 12:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 12:06:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (529 bytes, text/plain)
2013-07-13 14:21 EDT, Juan Orti
no flags Details
File: environ (2.26 KB, text/plain)
2013-07-13 14:21 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2013-07-13 14:21:07 EDT
Description of problem:
I have configured kdump with a wrong partition UUID, and after opening the graphical system-config-kdump utility, it complained about the unexistent UUID and and abrt showed me this crash, and the application kept running.

Version-Release number of selected component:
system-config-kdump-2.0.11-2.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/share/system-config-kdump/system-config-kdump.py
core_backtrace: f6eee3891c58902fb172f7e73acf28f9330dda5f 0x6e6 changed_partition /usr/share/system-config-kdump/system-config-kdump.py -
executable:     /usr/share/system-config-kdump/system-config-kdump.py
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
system-config-kdump.py:1766:changed_partition:AttributeError: 'NoneType' object has no attribute 'rsplit'

Traceback (most recent call last):
  File "/usr/share/system-config-kdump/system-config-kdump.py", line 1766, in changed_partition
    name = part_combobox.get_active_text().rsplit(":", 1)[0]
AttributeError: 'NoneType' object has no attribute 'rsplit'

Local variables in innermost frame:
self: <__main__.MainWindow instance at 0xda4050>
args: ()
part_combobox: <gtk.ComboBox object at 0xf64870 (GtkComboBox at 0xeb1000)>
Comment 1 Juan Orti 2013-07-13 14:21:11 EDT
Created attachment 773130 [details]
File: backtrace
Comment 2 Juan Orti 2013-07-13 14:21:14 EDT
Created attachment 773131 [details]
File: environ
Comment 4 Fedora Admin XMLRPC Client 2014-01-24 08:09:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Martin Milata 2014-05-12 10:31:51 EDT
Thanks for the report!

The crash is fixed in 2.0.15.

Note You need to log in before you can comment on or make changes to this bug.